com.h3c.util.perf.model

## Class Throughput

- java.lang.Object
- - com.h3c.util.perf.model.Throughput

-     public class Throughput
      extends Object

  Throughput data object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Throughput()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAvgThroughput()` Gets the value of the avgThroughput property.
    `double` | `getLastThroughput()` Gets the value of the lastThroughput property.
    `double` | `getMaxThroughput()` Gets the value of the maxThroughput property.
    `double` | `getMinThroughput()` Throughput in `getUnit()` units/microsecond.
    `String` | `getUnit()` Get unit of measurement for the numerator of throughput measurement.
    `void` | `setAvgThroughput(double value)` Sets the value of the avgThroughput property.
    `void` | `setLastThroughput(double value)` Sets the value of the lastThroughput property.
    `void` | `setMaxThroughput(double value)` Sets the value of the maxThroughput property.
    `void` | `setMinThroughput(double value)` Sets the value of the minThroughput property.
    `void` | `setUnit(String value)` Sets unit of measurement for the numerator of throughput measurement.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Throughput

          public Throughput()

  - ### Method Detail

    - #### getMinThroughput

          public double getMinThroughput()

      Throughput in `getUnit()` units/microsecond.
      Returns:
        min throughput

    - #### setMinThroughput

          public void setMinThroughput(double value)

      Sets the value of the minThroughput property.
      Parameters:
        `value` - min throughput

    - #### getAvgThroughput

          public double getAvgThroughput()

      Gets the value of the avgThroughput property.
      Returns:
        average throughput

    - #### setAvgThroughput

          public void setAvgThroughput(double value)

      Sets the value of the avgThroughput property.
      Parameters:
        `value` - average throughput

    - #### getMaxThroughput

          public double getMaxThroughput()

      Gets the value of the maxThroughput property.
      Returns:
        max throughput

    - #### setMaxThroughput

          public void setMaxThroughput(double value)

      Sets the value of the maxThroughput property.
      Parameters:
        `value` - max throughput

    - #### getLastThroughput

          public double getLastThroughput()

      Gets the value of the lastThroughput property.
      Returns:
        last throughput

    - #### setLastThroughput

          public void setLastThroughput(double value)

      Sets the value of the lastThroughput property.
      Parameters:
        `value` - last throughput

    - #### getUnit

          public String getUnit()

      Get unit of measurement for the numerator of throughput measurement.
      Returns:
        unit measurement unit

    - #### setUnit

          public void setUnit(String value)

      Sets unit of measurement for the numerator of throughput measurement.
      Parameters:
        `value` - measurement unit

Copyright © 2014. All Rights Reserved.